Subject: FINAL SUCCESS: ncurses 4.1 and win95
From: [email-masked] (Toni L. Harbaugh)

7 Mar 1998 16:31:04 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

Folks:

I *finally got ncurses-4.1 built on my win95 OSR2 system.  The
last piece of the puzzle was to use BINARY mounts and set the
environment variable CYGWIN32 with "tty binmode".  That elimitated
all the terminal resolution errors generated by tic during the
"make install" phase.

In summary, here is what worked for me:

1) Edit cygnus.bat to include the line

      set CYGWIN32=tty binmode

2) Set the environment size to 4096 in the "Cygwin32 Beta 19"
   shortcut properties dialog box

3) Startup bash from the "Cygwin32 Beta 19" shortcut

4) Mount /bin, /tmp, /usr, the directry where you will unpack
   ncurses (in my case, /work), the intended install directory
   (in my case, /usr/local), and the top of the cygwin32
   directory tree as binary mounts.

5) Unpack ncurses and cd into its top directory.  Copy the misc/tabset
   directory to /usr/share/tabset.

6) Configure ncurses making sure to FORCE the use of ash

     $PATHTOSH/sh.exe configure --prefix=/usr/local

7) Copy bash.exe to /bin/sh and set the environment variable SHELL=/bin/sh

8) make

     This works cleanly for bash.  It *still* works (building
     correct executables) under ash but has to be restarted
     serveral times due to erroneous "STATUS_ACCESS_VIOLATION"
     errors.

9) Edit misc/Makefile to add ".exe" extensions to the programs
   that will be copied by install:

   $ diff Makefile Makefile_orig
   108,113c108,113
   < 	$(INSTALL_PROGRAM) tic.exe     $(INSTALL_PREFIX)$(bindir)/tic.exe
   < 	$(INSTALL_PROGRAM) toe.exe     $(INSTALL_PREFIX)$(bindir)/toe.exe
   < 	$(INSTALL_PROGRAM) infocmp.exe $(INSTALL_PREFIX)$(bindir)/infocmp.exe
   < 	$(INSTALL_PROGRAM) clear.exe   $(INSTALL_PREFIX)$(bindir)/clear.exe
   < 	$(INSTALL_PROGRAM) tput.exe    $(INSTALL_PREFIX)$(bindir)/tput.exe
   < 	$(INSTALL_PROGRAM) tset.exe    $(INSTALL_PREFIX)$(bindir)/tset.exe
   ---
   > 	$(INSTALL_PROGRAM) tic     $(INSTALL_PREFIX)$(bindir)/tic
   > 	$(INSTALL_PROGRAM) toe     $(INSTALL_PREFIX)$(bindir)/toe
   > 	$(INSTALL_PROGRAM) infocmp $(INSTALL_PREFIX)$(bindir)/infocmp
   > 	$(INSTALL_PROGRAM) clear   $(INSTALL_PREFIX)$(bindir)/clear
   > 	$(INSTALL_PROGRAM) tput    $(INSTALL_PREFIX)$(bindir)/tput
   > 	$(INSTALL_PROGRAM) tset    $(INSTALL_PREFIX)$(bindir)/tset
   115,116c115,116
   < 	-@rm -f $(INSTALL_PREFIX)$(bindir)/captoinfo.exe
   < 	(cd $(INSTALL_PREFIX)$(bindir) && $(LN_S) tic.exe captoinfo.exe)
   ---
   > 	-@rm -f $(INSTALL_PREFIX)$(bindir)/captoinfo
   > 	(cd $(INSTALL_PREFIX)$(bindir) && $(LN_S) tic captoinfo)
   118,119c118,119
   < 	-@rm -f $(INSTALL_PREFIX)$(bindir)/reset.exe
   < 	(cd $(INSTALL_PREFIX)$(bindir) && $(LN_S) tset.exe reset.exe)
   ---
   > 	-@rm -f $(INSTALL_PREFIX)$(bindir)/reset
   > 	(cd $(INSTALL_PREFIX)$(bindir) && $(LN_S) tset reset)

10) make install

If anyone still has problems let me know and I check my setup to see
if I forgot to mention anything.

Toni L. Harbaugh-Blackford
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".